
clear
use iata

ren revenue rev_tk
ren distance_adju  rev_tkd
ren icao_world  icao_av
ren icao_2000  icao_pk
ren bls_in bls_in
ren bls_out bls_out




tsset year, yearly
label var rev_tk "2000 US$ per ton-km"

tsline  rev_tk, title("Figure 1 -- Worldwide Air Revenue per Ton-Km")xtitle("") ytitle("index 2000=100") xlabel("1955,1965,1975,1985,1995,2004") ylabel("1250,1000,750,500,250,100")

graph save figure1, replace






clear
use icao
tsset routenum year, yearly
rename  ad_valorem_air_fare valuead_valorem_air_fare
rename  fare_per_kg_2000_ valuefare_per_kg_2000_
reshape long value, i(year routenum route) j(variable) string
replace variable="Ad-valorem air fare" if variable=="ad_valorem_air_fare"
replace variable="Air fare per kilogram (2000 US dollars)" if variable=="fare_per_kg_2000_"
tsline  value if routenum==1, xtitle("") ytitle("") by(variable, yrescale rows(2)noiytitle noixtitle note("") title("Figure 2 -- World ad-valorem and per kilogram air fare")) xlabel("1973,1980,1985,1993")
graph save figure2, replace

